Mailinglist Archive: opensuse-bugs (4250 mails)

< Previous Next >
[Bug 961532] Error message on libvirt startup
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 04 Jan 2017 20:53:55 +0000
  • Message-id: <bug-961532-21960-bsaSdMKFlZ@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=961532
http://bugzilla.opensuse.org/show_bug.cgi?id=961532#c14

--- Comment #14 from Michael Jansen <info@xxxxxxxxxxxxxxxxxx> ---
Now i updated to OpenSuSE Leap 42.2 and had the same problem. libvirt installed
and no default network. Just adding the information in case someone else
stumbles over this.

The problem with the missing default bridge is a missing rpm package:

$ rpm -qvl libvirt-daemon-config-network
drwxr-xr-x 2 root root 0 Oct 20 16:17
/usr/share/libvirt/networks
-rw-r--r-- 1 root root 228 Oct 20 16:17
/usr/share/libvirt/networks/default.xml

This package is only required by

# zypper se --requires libvirt-daemon-config-network
Loading repository data...
Reading installed packages...

S | Name | Summary | Type
--+---------+-----------------------------------------------+--------
| libvirt | Library providing a simple virtualization API | package

I do not want that package because it takes in stuff i am not interested in
always (vbox, libvirt-client, lxc). So i would guess this really is a works as
designed.

DO NOT FORGET TO INSTALL libvirt-daemon-config-network IF YOU WANT VIRBR0

And for the rest a question. Is this interesting for others too?

http://www.michael-jansen.name/blog/20160116-libvirt-network-trigger.html

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages